import React from 'react';
import { DescopeInputProps } from '../types';
declare global {
    namespace React.JSX {
        interface IntrinsicElements {
            'descope-text-field': DescopeInputProps;
        }
    }
}
declare const TextField: React.ForwardRefExoticComponent<Omit<DescopeInputProps, "ref"> & React.RefAttributes<HTMLInputElement>>;
export default TextField;
